/**
  ******************************************************************************
  * File Name          : RTC.h
  * Description        : This file provides code for the configuration
  *                      of the RTC instances.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2019 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __rtc_H
#define __rtc_H
#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/* USER CODE BEGIN Includes */
#include "../Drivers/BSP/board.h"
/* USER CODE END Includes */

extern RTC_HandleTypeDef hrtc;

/* USER CODE BEGIN Private defines */
#define RTC_ZERO_YEAR	2000	/* Timestamp 0=2000 a.c. UNIX Time its 1970*/

extern uint8_t RTC_isValid; /* RTC is Valid */
#define RTC_MAGIC_NUMBER_REG_NUMBER 0	/* MAGIC NUMBER indicate, that RTC was reseted */
#define RTC_MAGIC_NUMBER 0xaa55	/* This number is saved to SRAM backup register to indicate that RTC is set. */
/* USER CODE END Private defines */

void MX_RTC_Init(void);

/* USER CODE BEGIN Prototypes */
void MX_RTC_Start(void);
void RTC_SetDate(RTC_DateTypeDef sDate);
void RTC_SetTime(RTC_TimeTypeDef sTime);
time_t RTC_GetTimestamp(void);
#if defined(USE_CMDLINE)
unsigned char RTC_DBG(tPar *pPar, unsigned char ucParNum, unsigned char ucSwitch);
#endif
/* USER CODE END Prototypes */

#ifdef __cplusplus
}
#endif
#endif /*__ rtc_H */

/**
  * @}
  */

/**
  * @}
  */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
